﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JLHHJSvr.Com.Model;
using LJLib.Net.SPI.Com;

namespace JLHHJSvr.Com
{
    public sealed class GetMattressSubspecsRequest : ILJRequest<GetMattressSubspecsResponse>
    {
        public override string GetApiName()
        {
            return "GetMattressSubspecs";
        }
        public string token { get; set; }
        public int mattressid { get; set; }
    }

    public sealed class GetMattressSubspecsResponse : LJResponse
    {
        /// <summary>
        /// 副规格列表
        /// </summary>
        public List<u_mattress> mattresses { get; set; }
        /// <summary>
        /// 床网列表弹簧排列列表
        /// </summary>
        public List<u_mattress_mx_mtrl> bednetMxs { get; set; }
        /// <summary>
        /// 垫层物料
        /// </summary>
        public List<u_mattress_mx_mtrl> mtrllist { get; set; }
    }
}
